# Yahoo! UI Library

### Menu Library

Yahoo! UI Library > menu > YAHOO.widget.ContextMenuItem

## Class YAHOO.widget.ContextMenuItem - extends YAHOO.widget.MenuItem

Creates an item for a context menu.

### Constructor

YAHOO.widget.ContextMenuItem `( p_oObject , p_oConfig )`

Parameters:
  `p_oObject <String>` String specifying the text of the context menu item.
  `p_oObject <HTMLLIElement>` Object specifying the `<li>` element of the context menu item.
  `p_oObject <HTMLOptGroupElement>` Object specifying the `<optgroup>` element of the context menu item.
  `p_oObject <HTMLOptionElement>` Object specifying the `<option>` element of the context menu item.
  `p_oConfig <Object>` Optional. Object literal specifying the configuration for the context menu item. See configuration class documentation for more details.

#### Properties inherited from YAHOO.widget.MenuItem:

`_checkImage, _oAnchor, _oHelpTextEM, _oSubmenu, _oText, browser, CHECKED_IMAGE_ALT_TEXT, CHECKED_IMAGE_PATH, COLLAPSED_SUBMENU_INDICATOR_ALT_TEXT, constructor, CSS_CLASS_NAME, DISABLED_CHECKED_IMAGE_ALT_TEXT, DISABLED_CHECKED_IMAGE_PATH, DISABLED_SUBMENU_INDICATOR_ALT_TEXT, DISABLED_SUBMENU_INDICATOR_IMAGE_PATH, element, EXPANDED_SUBMENU_INDICATOR_ALT_TEXT, groupIndex, imageRoot, IMG_ROOT, IMG_ROOT_SSL, index, isSecure, parent, SELECTED_CHECKED_IMAGE_PATH, SELECTED_SUBMENU_INDICATOR_IMAGE_PATH, srcElement, SUBMENU_INDICATOR_IMAGE_PATH, SUBMENU_TYPE, submenuIndicator, value`

### Methods

#### init

`void init ( p_oObject , p_oConfig )`
The ContextMenuItem class's initialization method. This method is automatically called by the constructor, and sets up all DOM references for pre-existing markup, and creates required markup if it is not already present.

Parameters:
  `p_oObject <String>` String specifying the text of the context menu item.
  `p_oObject <HTMLLIElement>` Object specifying the `<li>` element of the context menu item.
  `p_oObject <HTMLOptGroupElement>` Object specifying the `<optgroup>` element of the context menu item.
  `p_oObject <HTMLOptionElement>` Object specifying the `<option>` element of the context menu item.
  `p_oConfig <Object>` Optional. Object literal specifying the configuration for the context menu item. See configuration class documentation for more details.

Returns: `void`

#### toString

`String toString ( )`
Returns a string representing the context menu item.

Returns: `String`

#### Methods inherited from YAHOO.widget.MenuItem:

`_checkDOMNode, _checkString, _createRootNodeStructure, _getFirstElement, _initSubTree, _preloadImage, blur, configChecked, configDisabled, configEmphasis, configHelpText, configSelected, configStrongEmphasis, configSubmenu, configTarget, configText, configURL, destroy, focus, getFirstItemIndex, getNextArrayItem, getNextEnabledSibling, getPreviousArrayItem, getPreviousEnabledSibling, init, initDefaultConfig, initHelpText, removeHelpText, toString`

#### Events inherited from YAHOO.widget.MenuItem:

`blurEvent, clickEvent, destroyEvent, focusEvent, keyDownEvent, keyPressEvent, keyUpEvent, mouseDownEvent, mouseOutEvent, mouseOverEvent, mouseUpEvent`

#### Configuration attributes inherited from YAHOO.widget.MenuItem:

`checked, disabled, emphasis, helptext, selected, strongemphasis, submenu, target, text, url`

Copyright © 2006 Yahoo! Inc. All rights reserved.